---
loc_slapd:
  ip: "{{ query('ldap', 'ip', 'gulp', 'cachan-adm') | ipv4 | first }}"
  replica: true
  replica_rid: 5

glob_ntp_client:
  servers:
    - terenez.cachan-adm.crans.org

debian_mirror: http://172.17.10.202/debian

loc_postgres:
  subnets:
    - 172.17.10.0/24
    - fd00:0:0:3010::/64
  version: 11
  hosts:
    - { db: re2o, user: re2o }
  addresses: "['gulp.cachan-adm.crans.org'] + {{ query('ldap', 'ip', 'gulp', 'cachan-adm') | ipaddr('address') }}"
  backup:
    dir: /var/local/db-backup
    frequency: "{{ 60 | random(seed=inventory_hostname) }} {{ ((24 | random(seed=inventory_hostname))+12)%24 }} * * *"

loc_borg:
  remote:
    - borg@zephir.cachan-adm.crans.org:/backup/borg/{{ ansible_hostname }}
  to_exclude:
    - /var/lib/lxcfs
  ssh_options: ""

glob_prometheus_node_exporter:
  listen_addr: "{{ query('ldap', 'ip', ansible_hostname, 'cachan-adm') | ipv4 | first }}"

loc_rsyslog_server:
  name: gulp
  root: /var/log
  rules:
    - name: cablage
      rotate: 365
      ips:
        - 172.16.33
        - 172.16.34
      programs:
        - firewall
        - radiusd
        - dhcpd
  modules:
    - name: imudp
      index: 53
    - name: imrelp
      index: 52
      vars:
        - name: InputRELPServerRun
          value: 20514
